package com.yiqi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.system.domain.SysConfigTab;

/**
 * 配置分类Service接口
 *
 * @author douya
 * @date 2024-11-01
 */
public interface ISysConfigTabService extends IService<SysConfigTab> {

    //<editor-folder desc="基础函数">

    /**
     * 查询配置分类
     *
     * @param id 配置分类主键
     * @return 配置分类
     */
    public SysConfigTab selectSysConfigTabById(Integer id);

    /**
     * 查询配置分类列表
     *
     * @param sysConfigTab 配置分类
     * @return 配置分类集合
     */
    public List<SysConfigTab> selectSysConfigTabList(SysConfigTab sysConfigTab);

    /**
     * 新增配置分类
     *
     * @param sysConfigTab 配置分类
     * @return 结果
     */
    public int insertSysConfigTab(SysConfigTab sysConfigTab);

    /**
     * 修改配置分类
     *
     * @param sysConfigTab 配置分类
     * @return 结果
     */
    public int updateSysConfigTab(SysConfigTab sysConfigTab);

    /**
     * 批量删除配置分类
     *
     * @param ids 需要删除的配置分类主键集合
     * @return 结果
     */
    public int deleteSysConfigTabByIds(Integer[] ids);

    /**
     * 删除配置分类信息
     *
     * @param id 配置分类主键
     * @return 结果
     */
    public int deleteSysConfigTabById(Integer id);


    /**
     * 修改配置分类状态
     *
     * @param sysConfigTab 配置分类
     * @return 结果
     */
    public int updateSysConfigTabStatus(SysConfigTab sysConfigTab);


    List<SysConfigTab> selectSysConfigTabListByPid(Integer id);

    /**
     * 根据tabKey查询配置分类
     * @param tabKey
     * @return
     */
    SysConfigTab selectSysConfigTabByTabKey(String tabKey);
}
